<?php
  include("cap.php");
 $m=100;
  function foto($foto)
 {
                global $m;
                $size_img=array();
                //Размер
                $size_img=getimagesize("$foto");

                $w_f=$size_img[0];
                $h_f=$size_img[1];
                if($size_img[0]>$m)
                   {
                     $balans=$size_img[0]/$m;
                     if(round($balans)>=1)
                        {
                          $size_img[0]=$size_img[0]/$balans;
                          $size_img[1]=$size_img[1]/$balans;
                        }

                   }
                if($size_img[1]>$m)
                   {
                     $balans=$size_img[1]/$m;
                     if(round($balans)>=1)
                        {
                         $size_img[0]=$size_img[0]/$balans;
                         $size_img[1]=$size_img[1]/$balans;
                        }
                   }

                echo "<img src=$foto width=$size_img[0] height=$size_img[1] border=0 align=middle>";
 }
  $cons=array();
  $cons=file("conf/cons.txt");
  $stat_img=array();
   $stat_img1=array();
   $d=opendir("cons/foto");
   while(($e=readdir($d))!=false)
     {
       if($e =="." || $e ==".." || $e==".htaccess" ) continue;
       $stat_img[]=$e;
     }
   closedir($d);

   for($n=0;$n<count($stat_img);$n++)
    {
     $expl=explode(".",$stat_img[$n]);
     $stat_img1[$n]=$expl[0];
    }

$blok=array();
$blok=file("conf/blok.txt");
for($i=0; $i<count($blok); $i++) $blok[$i]=trim($blok[$i]);

$info="";
if(isset($_GET['err']))$info="<font color=red>Нельзя удалить консультанта, пока у него есть ответы. Вначале удалите ответы.</font>";

?>
<script language='JavaScript1.1' type='text/javascript'>
<!--
    function del(par)
 {
      answer=window.confirm('Вы хотите удалить консультанта?');
   	  if (answer)window.location.replace('del_cons.php?op=2&id='+par+'');

 }
//-->
</script>

 <TABLE class=tabcap  >
  <tr ><td id=head>:: Консультанты ::</td></tr>
  </table>
 <TABLE class=tab1  >
  <tr ><td colspan=6><br />
  Нажав на ссылку "Работает", вы отправляете консультанта в отпуск. В этот период ему не могут быть адресованы вопросы.
  Если хотите активировать консультанта, нажмите на ссылку "В отпуске".<br />Полностью удалить информацию о консультанте можно, удалив все его ответы!<br />
  В разделе Редактирование можно изменить или добавить информацию о консультанте.<br /><?php echo $info ?></td></tr>
  <tr ><td colspan=4><a href="add_cons.php"><b>Добавить консультанта</b></a></td><td colspan=2>

<form   method='post' name='form_from_cons_list'>
<SELECT  style="float:right; margin-right:10px; display:block;" NAME="from_cons_list" onchange="form_from_cons_list.submit();">
          <?php ksort($cons,SORT_NUMERIC);
				echo "<option>Ответить от имени консультанта</option>";
               	 foreach($cons as $line)
               	   { $expl=explode("*",$line);
                	 echo "<option value=".$expl[0]."*".$expl[1].">".$expl[1]."</option>";
               	   }
           ?>
</select>
</form>
</td></tr>
<?php
ksort($cons,SORT_NUMERIC);
  foreach($cons as $line)
    {
      $expl=explode("*",$line);
      echo"<tr ><td class=sett2>";
      if(in_array($expl[0],$stat_img1)) foto("cons/foto/".$stat_img[array_search($expl[0], $stat_img1)]);
      else echo "<img src=img/face.jpg border=0>";
      echo "</td>";

      echo"<td class=sett2>$expl[1]</td><td class=sett2><a href=view.php?id=$expl[0]>Ответы на вопросы</a></td>
      <td class=sett2><a href=red_cons.php?id=$expl[0]>Редактировать данные</a></td><td class=sett2>";
      if((!in_array($expl[0],$blok)))echo "<a href=del_cons.php?op=1&id=$expl[0]>Работает</a>";
      else echo "<a href=del_cons.php?op=1&id=$expl[0]>В отпуске</a>";
      echo "</td>
      <td class=sett2><a href=# onclick=\"del(".$expl[0].")\">Удалить</a></td>
      </tr>";
    }
?>




 </table>

